/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 07/03/2025

es03: scrivi un programma che, data una stringa di N
caratteri, la inverta (per esempio: "Paolo" diventa "oloaP")
*/

#include <iostream>
#include <cstring>

#define SIZE 100+1

using namespace std;

void invertiParola(char *str);

int main(void) {
	char str[SIZE];
	
	cin >> str;
		
	invertiParola(str);
	
	return 0;
}

void invertiParola(char *str) {
	for (int i = 0; i < strlen(str) / 2; i++) {
		char temp = str[i];
		str[i] = str[strlen(str) - i - 1];
		str[strlen(str) - i - 1] = temp;
	}
		
	cout << str;
}